within Buildings.Controls.OBC.CDL.Discrete;
package Validation "Collection of models that validate the discrete blocks of the CDL"
  annotation (
    preferredView="info",
    Documentation(
      info="<html>
<p>
This package contains models that validate the blocks in
<a href=\"modelica://Buildings.Controls.OBC.CDL.Discrete\">
Buildings.Controls.OBC.CDL.Discrete</a>.
</p>
</html>",
revisions="<html>
<ul>
<li>
September 13, 2023, by Jianjun Hu:<br/>
Changed the package name from <code>Examples</code> to <code>Validation</code>.
This is for <a href=\"https://github.com/lbl-srg/modelica-buildings/issues/3517\">issue 3517</a>.
</li>
</ul>
</html>"),
    Icon(
      graphics={
        Rectangle(
          lineColor={200,200,200},
          fillColor={248,248,248},
          fillPattern=FillPattern.HorizontalCylinder,
          extent={{-100.0,-100.0},{100.0,100.0}},
          radius=25.0),
        Rectangle(
          lineColor={128,128,128},
          extent={{-100.0,-100.0},{100.0,100.0}},
          radius=25.0),
        Polygon(
          origin={8.0,14.0},
          lineColor={78,138,73},
          fillColor={78,138,73},
          pattern=LinePattern.None,
          fillPattern=FillPattern.Solid,
          points={{-58.0,46.0},{42.0,-14.0},{-58.0,-74.0},{-58.0,46.0}})}));
end Validation;
